# $Id: mb339.nas,v 1.1 2004/03/26 14:08:49 Luca Masera $

#Variable that takes the gear mode
gear_pos = props.globals.getNode("/controls/gear/gear-down");

#Variable that takes the speedbrake node 
speedbrake_pos = props.globals.getNode("/controls/flight/speedbrake");

#Variable that takes the speedbrake move node
speedbrake_move = props.globals.getNode("/controls/flight/speedbrake-move");

#Function to increase or decrease the position of the speedbrake by steps
#Only if the gear is up the speedbrake is fully extended, otherwise is half extedend.
incSpeedBrake = func 
{
 if ( ( arg [0] > 0 ) and ( gear_pos.getValue() ) and ( speedbrake_pos.getValue() >= 0.49 ) )
 {
  interpolate(speedbrake_move, 200 * arg[0], 0.15);
 }
 else 
 {
  interpolate(speedbrake_move, 200 * arg[0], 0.15);
  speedbrake_pos.setValue( speedbrake_pos.getValue() + arg[0] );
 }
}


#Function that gets the position of the gear and moves the speedbrake if 
#it's fully extended 
#the same function intercepts the changes of position of the speedbrake and 
#hence changes the value of the node *speedbrake-move*
ChangeDueToGear = func
{
 if ((gear_pos.getValue()) and (speedbrake_pos.getValue() > 0.49))
 {
  interpolate(speedbrake_pos, 0.49, 0.15);
 }

 if ( (speedbrake_move.getValue() == 1) or (speedbrake_move.getValue() == -1) )
 {
  interpolate(speedbrake_move, 0, 0.15);
 }

 settimer(ChangeDueToGear, 0.5);
}

settimer(ChangeDueToGear, 0.5);


#variables that take the:
#node that points to center tank
center_tank = props.globals.getNode("/consumables/fuel/tank[0]/level-lb");

#node that points to left tank
left_tank = props.globals.getNode("/consumables/fuel/tank[1]/level-lb");

#node that points to right tank
right_tank = props.globals.getNode("/consumables/fuel/tank[2]/level-lb");

#node that points to the variable that contains the sum of all the fuel in lb
all_fuel = props.globals.getNode("/consumables/fuel/total-fuel-lb");

#node that points to the variable that contains the sum of all the fuel in kg
all_fuel_1 = props.globals.getNode("/consumables/fuel/total-fuel-kg");

#Function that sums the fuel in the tanks
FuelSum = func 
{
 all_fuel.setValue(center_tank.getValue() + left_tank.getValue() + right_tank.getValue());
 all_fuel_1.setValue(all_fuel.getValue() * 0.454);
 settimer(FuelSum, 0.1);
}

settimer(FuelSum, 0.5);

#Variable that takes the currently selected tank's number
tank_num = props.globals.getNode("/consumables/fuel/tank-sel");

#Function that switchs "tank-sel" throught all the tanks 
ToggleTank = func 
{
 tank_num.setValue(tank_num.getValue() + arg[0]);
 if (tank_num.getValue() > 2)
  {
   tank_num.setValue(0);
  }
}

smoke_trig = props.globals.getNode("/systems/particles/trigger");

setSmoke = func
{
 smoke_trig.setValue(arg[0]);
}
